https://kedro.org/ logo
#beginners-need-help
Title
# beginners-need-help
z

Zemeio

04/28/2022, 12:00 PM
Exception:
Copy code
Exception has occurred: DataSetError (note: full exception trace is shown but execution is paused at: _run_module_as_main) 

 

Failed while saving data to data set ImageDataSet(filepath=<hidden>.jpg, protocol=s3, save_args={}). unknown file extension:  

File "\usr\local\lib\python3.8\site-packages\PIL\Image.py", line 2278, in save format = EXTENSION[ext] The above exception was the direct cause of the following exception: File "\usr\local\lib\python3.8\site-packages\kedro\io\core.py", line 210, in save self._save(data) File "\usr\local\lib\python3.8\site-packages\kedro\extras\datasets\pillow\image_dataset.py", line 120, in _save data.save(fs_file, **self._save_args) File "\usr\local\lib\python3.8\site-packages\PIL\Image.py", line 2280, in save raise ValueError(f"unknown file extension: {ext}") from e